DragonFlyBSD - Bug #604

1.8.1-RELEASE - clock runs fast on mainboard ASUS P5A-B
04/18/2007 11:55 AM - yeti

Status: In Progress Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: ACPI Estimated time: 0.00 hour
Target version: 4.0.x

Description

After a fresh install of 1.8.1-RELEASE on a system with ASUS P5A-B
mainboard (ALI chipset), the clock runs twice as fast as normal.

Booting with ACPI disabled solved this problem.
The clock problem on some AT chipsets was a problem in Linux some

kernels ago too. The solution was triggered by clock=pit as bootarg if |
remember right... maybe having a peek into Linux's code helps.

History

#1 - 04/19/2007 05:11 PM - dillon
:After a fresh install of 1.8.1-RELEASE on a system with ASUS P5A-B
:mainboard (ALI chipset), the clock runs twice as fast as normal.

:Booting with ACPI disabled solved this problem.

:The clock problem on some ATI chipsets was a problem in Linux some
:kernels ago too. The solution was triggered by clock=pit as bootarg if |
:remember right... maybe having a peek into Linux's code helps.

Could you post the full dmesg output with and without ACPI enabled?
-Matt

Matthew Dillon
<dillon@backplane.com>

#2 - 04/19/2007 06:09 PM - yeti

2 files attached.

#3 - 04/19/2007 06:35 PM - dillon

:2 files attached.

Hmm. That's odd. Boot with ACPI and do this:
sysctl kern.cputimer

I'm guessing it is using the ACPI timer, but | don't know why it would
be running so fast.

You can disable the use of the ACPI timer without disabling ACPI itself
by putting this in your /boot/loader.conf file:

debug.acpi.disable=timer

-Matt

#4 - 04/19/2007 06:58 PM - swildner

Small correction: it's "debug.acpi.disabled" :)

Sascha
#5 - 04/19/2007 07:33 PM - yeti

# sysctl kern.cputimer

kern.cputimer.select: ACPI-safe i8254_timer2 dummy
kern.cputimer.name: ACPI-safe

kern.cputimer.clock: 1215945362

kern.cputimer.freq: 3579545

Ok.

# sysctl kern.cputimer
kern.cputimer.select: i8254_timer2 dummy
kern.cputimer.name: i8254_timer2
kern.cputimer.clock: 108355686
kern.cputimer.freq: 1193182

sleep 5 now is 5 reallife seconds...

New dmesg output attached.

#6 - 11/15/2014 01:53 AM - cnb
- Description updated

- Target version set to 4.0.x

I'm not using the acpi timer but the issue is still present on Dragonflybsd 4.1

kern.cputimer.intr.select: lapic
kern.cputimer.intr.freq: 99677705
kern.cputimer.intr.reglist: lapic
kern.cputimer.freq: 1193182
kern.cputimer.clock: 3782540528
kern.cputimer.name: i8254_timer2
kern.cputimer.select: i8254_timer2 dummy

#7 - 11/15/2014 02:48 AM - tuxillo
- Category set to ACPI
- Status changed from Closed to In Progress

- Assignee deleted (0)

Hi,

It is worth mentioning that the hardware is not the same as in the original report.

In this case it's: http://www.pcworld.com/product/1339817/general-dynamics-itronix-gobook-vr-2-notebook.html

General Dynamics ltronix GoBook VR-2 Notebook

Cheers,
Antonio Huete

#8 - 11/18/2014 09:41 AM - cnb

dding the debug.acpi.disabled="hpet timer" fixes the timer issue.

Files

acpi=off 3.74 KB 04/20/2007 yeti

acpi=on 4.32 KB 04/20/2007 yeti

acpitimer-off 4.25 KB 04/20/2007 yeti
